Browser extension compatibility

The tables below shows when each Blue Prism browser version was introduced and the browser version against which each was evaluated.

The Chrome extension was introduced in version 6.3 and the Firefox extension was introduced in 6.4. Support for Chromium-based Edge was added in 6.8 via the Chrome extension and the Edge extension was introduced in 6.9. All extensions can be installed both via the Blue Prism installer and from the relevant web store.

For the Chrome and Edge extensions, we differentiate between Manifest V2 and V3 support according to Google's and Microsoft's guidance. For more information, see the guidance from:

The Blue Prism Quality Assurance team continually evaluate the current version of the Blue Prism application against the latest available browser versions in order to assess compatibility. The browsers are listed by their major version but our continuous testing approach ensures compatibility with each minor version or patch is evaluated.

For more information about installing, using, and troubleshooting the browser extensions, see the appropriate guide for your version of Blue Prism:

From the 6.10 release, version numbers for all browser extensions align with the Blue Prism release number.

Unless otherwise stated, the browser versions evaluated for the minor versions apply to all patch versions of that minor version, for example, the browser versions evaluated for 7.1 apply to 7.1.1, 7.1.2, and so on.

Chrome and Edge Chromium – Native Manifest V3 browser extension support (without Insert/Invoke JavaScript functionality before Blue Prism 6.10.6 and 7.2)

From Blue Prism version 7.2 in version 7 and Blue Prism 6.10.6 in version 6, the components needed to support Insert/Invoke JavaScript functionality are included as part of the Blue Prism product. Only native Manifest V3 is supported from these versions onwards.

Blue Prism version

Chrome

Edge Chromium

Browser version evaluated

7.3

111.x to 121.x

 

7.2

111.x to 121.x

111.x to 120.x

7.1

101.x to 121.x

101.x to 120.x

6.10

104.x to 121.x

104.x to 120.x

Chrome and Edge Chromium – Manifest V3 browser extension support via the Blue Prism Browser Automation Agent (with Insert/Invoke JavaScript functionality)

From Blue Prism version 7.2 in version 7 and Blue Prism 6.10.6 in version 6, the Browser Automation Agent features are included in the installation wizard by default.

Blue Prism version

 

Browser Automation Agent version

Chrome

Edge Chromium

Browser version evaluated

7.2+

Not supported

 

 

7.1

BAA 2.0

111.x to 121.x

111.x to 120.x

7.0

BAA 2.0

111.x to 121.x

111.x to 120.x

6.10.6

Not supported

 

 

6.10.0

BAA 2.0

BAA 1.0

111.x to 121.x

105.x

111.x to 120.x

105.x

6.9

BAA 2.0

BAA 1.0

111.x to 121.x

105.x

111.x to 120.x

105.x

6.8

BAA 2.0

BAA 1.0

111.x to 121.x

105.x

111.x to 120.x

105.x

6.7

BAA 2.0

BAA 1.0

111.x to 121.x

105.x

N/A

N/A

6.6

BAA 2.0

BAA 1.0

111.x to 121.x

105.x

N/A

N/A

6.5

BAA 2.0

BAA 1.0

111.x to 121.x

105.x

N/A

N/A

6.4

BAA 2.0

111.x

N/A

If using BAA 2.0, the Edge browser extension can only be installed for use with Blue Prism versions 6.8 and later using the installer. The Edge browser extension is not supported in Blue Prism versions earlier than 6.8.

If using BAA 1.0, the Edge browser extension can only be installed for use with Blue Prism versions 6.9 and later using the installer. For Blue Prism versions 6.8.x, the Blue Prism Chrome extension must be installed manually from the Chrome web store to use with Chromium-based versions of Microsoft Edge. For more information, see Upgrade notices for Blue Prism version 6.8.

Chrome and Edge Chromium – Manifest V2 browser extension support

Blue Prism version

Chrome

Edge Chromium

Browser version evaluated

7.0

90.x to 121.x

90.x to 120.x

6.10

86.x to 121.x

87.x to 120.x

6.9

84.x to 121.x

87.x to 120.x

6.8

84.x to 121.x

87.x to 120.x

6.7

84.x to 121.x

N/A

6.6

84.x to 121.x

N/A

6.5

84.x to 121.x

N/A

6.4.5

104.x to 121.x

N/A

6.4.2 > 6.4.3a

84.x to 121.x

N/A

6.4.0 > 6.4.2

84.x to 111.x

N/A

6.3

71.x

N/A

The Edge browser extension can only be installed for use with Blue Prism versions 6.9 and later using the installer. For Blue Prism versions 6.8.x, the Blue Prism Chrome extension must be installed manually from the Chrome web store to use with Chromium-based versions of Microsoft Edge. For more information, see the Upgrade notices for Blue Prism version 6.8.

Firefox – Only Manifest V2 browser extension support

Blue Prism version

Firefox

Browser version evaluated

7.2

Not supported

7.1.2

107.x to 123.x

7.1.1

105.x to 111.x

7.1

94.x to 111.x

7.0.1 > 7.0.2

94.x to 123.x

7.0

88.x to 111.x

6.10.5

103.x to 123.x

6.10.4

95.x to 111.x

6.10.3

92.x to 111.x

6.10.2

89.x to 111.x

6.10.1

85.x to 111.x

6.10.0

84.x to 111.x

6.9.1

103.x to 115.x

6.9.0

84.x to 111.x

6.8.3

103.x to 115.x

6.8.0 > 6.8.1

84.x to 111.x

6.7.4

103.x to 115.x

6.7.0 > 6.7.3

84.x to 111.x

6.6.2

103.x to 115.x

6.6.0 > 6.6.1

68.x to 111.x

6.5.2

N/A

6.5.0 > 6.5.1

68.x

6.4.5

N/A

6.4.0 > 6.4.3a

68.x

6.3

N/A